twitter4j.api

## Interface SpamReportingResourceAsync

All Known Subinterfaces:
  AsyncTwitter

    public interface SpamReportingResourceAsync

Not yet supported.

http://yusuke.homeip.net/jira/browse/TFJ-223

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `reportSpam(long userId)` The user specified in the id is blocked by the authenticated user and reported as a spammer.
`void` `reportSpam(String screenName)` The user specified in the id is blocked by the authenticated user and reported as a spammer.

### Method Detail

#### reportSpam

    void reportSpam(long userId)

The user specified in the id is blocked by the authenticated user and reported as a spammer.
This method calls https://api.twitter.com/1.1/report_spam.json

Parameters:
  `userId` - The ID of the user you want to report as a spammer.
Since:
  Twitter4J 2.1.0
See Also:
  POST report_spam | Twitter Developers

#### reportSpam

    void reportSpam(String screenName)

The user specified in the id is blocked by the authenticated user and reported as a spammer.
This method calls https://api.twitter.com/1.1/report_spam.json

Parameters:
  `screenName` - The screen name of the user you want to report as a spammer.
Since:
  Twitter4J 2.1.0
See Also:
  POST report_spam | Twitter Developers